Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
drip_delay_workflow
curl --request POST \ --url https://api.hubapi.com/automation/v3/workflows \ --header 'Content-Type: application/json' \ --data ' { "name": "Test Workflow", "type": "DRIP_DELAY", "onlyEnrollsManually": true, "actions": [ { "type": "DELAY", "delayMillis": 3600000 }, { "newValue": "HubSpot", "propertyName": "company", "type": "SET_CONTACT_PROPERTY" }, { "type": "WEBHOOK", "url": "https://www.myintegration.com/webhook.php", "method": "POST", "authCreds": { "user": "user", "password": "password" } } ] } '
{ "id": 123, "name": "<string>", "type": "<string>", "enabled": true }
{ "status": "<string>", "message": "<string>", "correlationId": "<string>" }
Create a new workflow with the supplied JSON body.
Scope requirements
Body for creating a workflow
Workflow created successfully
Simplified workflow schema
Was this page helpful?